/*
*
* Gtk+1.2-Gtk+2.2   Utility routines
* Copyright (C) 2002-2004 by Tito Ragusa <tito-wolit@tiscali.it>
*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License as
* published by the Free Software Foundation; either version 2 of
* the License, or (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*
* Please read the COPYING and README file!!!
*
* Report bugs to <tito-wolit@tiscali.it>
*
*/

#include <errno.h>

void error_window(const char *title, char *fmt, char *filename )
{
	char *error_string;

	DBG_FUNCTION_NAME;

	/* strerror(errno) is displayed only if format has enough %s */

	error_string=xmake_message(fmt, filename, strerror(errno));
	dialog_window((title==NULL)? STR_ERROR : title, error_string, ONE_BUTTON, MODAL, NULL);
	free(error_string);
}
